services:
  _defaults:
    autoconfigure: true

  Violution\VioIsotopeLicencePlate\Controller\FrontendModule\LicencePlateController:
    tags:
      - name: contao.frontend_module
        category: drzulassung

  Violution\VioIsotopeLicencePlate\Service\LocationService:
    public: true
    arguments:
      - '@database_connection'

  Violution\VioIsotopeLicencePlate\Controller\Ajax\VioLicenseLocationController:
    public: true
    calls:
      - [ setContainer, [ '@Psr\Container\ContainerInterface' ] ]
    arguments:
      - '@Violution\VioIsotopeLicencePlate\Service\LocationService'
      - '@contao.csrf.token_manager'